#include <OgreCEGUIRenderer.h>

#include "GameState.h"

class MenuState : public GameState
{

public:
  MenuState();
  ~MenuState();
  
  virtual void enter();
  virtual void exit();



protected:
  CEGUI::OgreCEGUIRenderer *tGUIRenderer;
  CEGUI::System *tGUISystem;

  virtual bool frameStarted(const Ogre::FrameEvent &evt);
  virtual bool frameEnded(const Ogre::FrameEvent &evt);

private:
  Ogre::Root *vRoot;
  Ogre::SceneManager *vSceneManager;

};
